Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Apache start error
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Networking & Security
View previous topic :: View next topic  
Author Message
NismoC32
Apprentice
Apprentice


Joined: 07 Apr 2003
Posts: 197

PostPosted: Wed Mar 09, 2016 8:51 pm    Post subject: Apache start error Reply with quote

I can't get Apache2 to start after upgrading to 2.4.18.

This is my use flags for apache2:
Quote:
Calculating dependencies... done!
[ebuild R ] www-servers/apache-2.4.18:2::gentoo USE="ssl threads -debug -doc -ldap (-libressl) (-selinux) -static -suexec" APACHE2_MODULES="authn_core authz_core authz_host cgid dir headers mime socache_shmcb unixd -access_compat -actions -alias -asis -auth_basic -auth_digest -authn_alias -authn_anon -authn_dbd -authn_dbm -authn_file -authz_dbd -authz_dbm -authz_groupfile -authz_owner -authz_user -autoindex -cache -cache_disk -cern_meta -cgi -charset_lite -dav -dav_fs -dav_lock -dbd -deflate -dumpio -env -expires -ext_filter -file_cache -filter -http2 -ident -imagemap -include -info -lbmethod_bybusyness -lbmethod_byrequests -lbmethod_bytraffic -lbmethod_heartbeat -log_config -log_forensic -logio -macro -mime_magic -negotiation -proxy -proxy_ajp -proxy_balancer -proxy_connect -proxy_fcgi -proxy_ftp -proxy_html -proxy_http -proxy_scgi -proxy_wstunnel -ratelimit -remoteip -reqtimeout -rewrite -setenvif -slotmem_shm -speling -status -substitute -unique_id -userdir -usertrack -version -vhost_alias" APACHE2_MPMS="event -peruser -prefork -worker" 0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB


The error massage I get when I try to start the service:
Quote:
# /etc/init.d/apache2 start
* apache2 has detected an error in your setup:
AH00526: Syntax error on line 16 of /etc/apache2/vhosts.d/00_default_vhost.conf:
Invalid command 'Order', perhaps misspelled or defined by a module not included in the server configuration
* ERROR: apache2 failed to start


00_default_vhost.conf file (Line 16 in blue):
Quote:
<IfDefine DEFAULT_VHOST>
Listen 8080
<VirtualHost *:8080>
ServerName localhost
Include /etc/apache2/vhosts.d/default_vhost.include
<IfModule mpm_peruser_module>
ServerEnvironment apache apache
</IfModule>
</VirtualHost>
</IfDefine>

<Directory /var/www/localhost/htdocs/owncloud>
Options Indexes FollowSymLinks MultiViews
AllowOverride All
Order allow,deny
allow from all
</Directory>


The httpd.conf:
Quote:
LoadModule authn_core_module modules/mod_authn_core.so
LoadModule authz_core_module modules/mod_authz_core.so
LoadModule authz_host_module modules/mod_authz_host.so
LoadModule cgid_module modules/mod_cgid.so
LoadModule dir_module modules/mod_dir.so
LoadModule headers_module modules/mod_headers.so
LoadModule mime_module modules/mod_mime.so
<IfDefine SSL>
LoadModule socache_shmcb_module modules/mod_socache_shmcb.so
</IfDefine>
<IfDefine SSL>
LoadModule ssl_module modules/mod_ssl.so
</IfDefine>
LoadModule unixd_module modules/mod_unixd.so

User apache
Group apache

Include /etc/apache2/modules.d/*.conf
Include /etc/apache2/vhosts.d/*.conf



Anyone hawe an idea whats wrong.
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 13490

PostPosted: Thu Mar 10, 2016 2:11 am    Post subject: Reply with quote

It looks like you either did not read the upgrade instructions or you skipped over the section Access control. It describes, among other things, how the directive Order has been replaced. You must update your configuration as described in that document. You should have received a Gentoo news item (2016-01-27-upgrading-to-apache-2_4) telling you to read that document.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Networking & Security All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum